export const colorLegend = (selection, props) => {
  
  const { colorScale, spacing, circleRadius, textOffset } = props;
  const n = colorScale.domain().length
  
  const backgroundRect = selection.selectAll('rect')
  	.data([null])
  backgroundRect.enter().append('rect')
  	.merge(backgroundRect)
  		.attr('x', -circleRadius * 2)
  		.attr('y', -circleRadius * 2)
  		.attr('rx', circleRadius)
  		.attr('width', 200)
  		.attr('height', spacing * n + circleRadius)
  		.attr('fill','white')
  		.attr('opacity', 0.8)
  
  const groups = selection.selectAll('g')
  	.data(colorScale.domain());
  const groupsEnter = groups.enter().append('g')
  	.attr('class', 'tick');
  
  groupsEnter
  	.merge(groups)
      .attr('transform', (d,i) => 
            `translate(0, ${i * spacing})`
		);

	groupsEnter.append('circle')
		.merge(groups.select('circle'))
  		.transition().duration(1000)
        .attr('fill', colorScale)
        .attr('r', circleRadius);
  
  groupsEnter.append('text')
  	.merge(groups.select('text'))
  		.attr('x', textOffset)
    	.attr('dy', '0.32em')
    	.text(d => d);
}

